#
# spec file for package perl-Crypt-SmbHash (Version 0.12)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl perl-Digest-MD4 permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           perl-Crypt-SmbHash
BuildRequires:  perl-Digest-MD4
Version:        0.12
Release:        13.2
Requires:       perl-Digest-MD4
Requires:       perl = %{perl_version}
Autoreqprov:    on
Group:          Development/Libraries/Perl
License:        Other License(s), see package, GPL
Summary:        perl module Crypt::SmbHash
Source:         Crypt-SmbHash-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This module provides functions to generate LM/NT hashes as used by
Samba



Authors:
--------
    Benjamin Kuit <bj@it.uts.edu.au>

%debug_package
%prep
%setup -n Crypt-SmbHash-%{version}

%build
perl Makefile.PL
make
make test

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install_vendor
%perl_process_packlist

%clean                                                                          
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc Changes MANIFEST README
%doc %{_mandir}/man?/*
%{perl_vendorlib}/Crypt
%{perl_vendorarch}/auto/Crypt
/var/adm/perl-modules/%{name}

%changelog -n perl-Crypt-SmbHash
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jul 29 2005 - cthiel@suse.de
- update to version 0.12
* Thu Apr 22 2004 - rhafer@suse.de
- initial version
